Bug 98826 - (IT_25362) CAN-2003-0388 pam_wheel uses getlogin in insecure fashion
CAN-2003-0388 pam_wheel uses getlogin in insecure fashion
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: pam (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Jay Turner
http://www.idefense.com/advisory/06.1...
: Security
Depends On:
Blocks: 116726
  Show dependency treegraph
 
Reported: 2003-07-09 06:53 EDT by Mark J. Cox (Product Security)
Modified: 2015-01-07 19:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 11:10:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-07-09 06:53:52 EDT
> If the "trust" option is enabled in the pam_wheel configuration file
> and the "use_uid" option is disabled, any local user may spoof the
> username returned by getlogin() and gain access to a super-user account
> without supplying a password.

This security issues is only a risk to Red Hat Enterprise Linux users that are
using pam_wheel (which is not a default in Red Hat Linux) and if they are using
in a non-default way (not the way shown commented out in the configuration
file).  Therefore we consider this of minimal risk and have given it a low
priority.  

[this is the same as bug 98020 but for Red Hat Enterprise Linux]
Comment 1 Mark J. Cox (Product Security) 2003-07-10 08:20:36 EDT
Note that the work around to this issue is to always ensure you use the use_uid
option if you are using pam_wheel.  
Comment 11 John Flanagan 2004-08-18 11:10:36 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-304.html

Note You need to log in before you can comment on or make changes to this bug.